Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 179809 - hotplug net.agent automatically re-inserts modules by virtue of ifdown iface
Summary: hotplug net.agent automatically re-inserts modules by virtue of ifdown iface
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hotplug
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-03 02:31 UTC by Alan
Modified: 2014-03-17 02:58 UTC (History)
1 user (show)

Fixed In Version: 8.30-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-20 17:47:49 UTC


Attachments (Terms of Use)

Description Alan 2006-02-03 02:31:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1 Mnenhy/0.7.2.0

Description of problem:
When attempting to remove the driver for an extant network card, hotplug's net.agent script automatically re-inserts the module if it is aliased to an interface in /etc/modprobe.conf
Even modules that are blacklisted (by hotplug) get loaded
This might be what is causing bug 173291

Version-Release number of selected component (if applicable):
hotplug-2004_09_23-7

How reproducible:
Always

Steps to Reproduce:
1.  add a driver for your net card in modprobe.conf (eg: alias eth0 e100)
2.  load the driver as normal (eg: ifup eth0)
3.  bring the interface down (eg: ifdown eth0)
4.  attempt to unload the driver (eg: rmmod e100)

  

Actual Results:  the module will automatically get re-inserted and the interface will be brought back up!

Expected Results:  rmmod should remove the module cleanly

Additional info:

I've tracked this down to hotplug's net.agent script.  When a network module is removed fron the system, net.agent attempts to bring down the associated interface (ifdown $INTERFACE).  But running ifdown on the interface causes modprobe to re-insert the module for that interface (before ifdown can bring it down).
  
To make matters worse, hotplug then detects that modprobe has inserted a new network card and runs itself with an "add" -- thereby actually bringing the interface up as you were trying to remove it entirely.

Comment 1 Alan 2006-02-03 02:34:01 UTC
sorry, this is not related to bug 173291, ignore that.
-alan

Comment 2 Bill Nottingham 2006-04-20 17:47:49 UTC
This was fixed in initscripts-8.30-1, which was in FC5.


Note You need to log in before you can comment on or make changes to this bug.